import { html as c } from "lit";
import { property as g } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as a } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, o = (p, t, l, i) => {
  for (var e = i > 1 ? void 0 : i ? m(t, l) : t, n = p.length - 1, s; n >= 0; n--)
    (s = p[n]) && (e = (i ? s(t, l, e) : s(e)) || e);
  return i && e && f(t, l, e), e;
};
let r = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--lightningFilledLarge", this.class = "c-pieIcon c-pieIcon--lightningFilledLarge", this.name = "IconLightningFilledLarge";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--lightningFilledLarge"><path d="m14.539 3.75-6.93 13.274a1.75 1.75 0 0 0 1.549 2.563h5.967v8.663h2.354l6.904-13.125a1.75 1.75 0 0 0-1.55-2.564h-5.958V3.75H14.54Z"></path></svg>`;
  }
};
o([
  g({ type: String, reflect: !0 })
], r.prototype, "size", 2);
o([
  g({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = o([
  a("icon-lightning-filled-large")
], r);
export {
  r as IconLightningFilledLarge
};
